Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.syndication.feed.module
Interface DCModule

All Superinterfaces:
  Cloneable, CopyFrom, Module, Serializable

All Known Implementing Classes:
  DCModuleImpl

    public interface DCModule

extends Module, CopyFrom

Dublin Core Module.

Author:
  Alejandro Abdelnur
See Also:
  Dublin Core module.

Field Summary
`static String` | `URI` URI of the Dublin Core Module (http://purl.org/dc/elements/1.1/).

Method Summary
`String` | `getContributor()` Gets the DublinCore module contributor.
`List<String>` | `getContributors()` Returns the DublinCore module contributor.
`String` | `getCoverage()` Gets the DublinCore module coverage.
`List<String>` | `getCoverages()` Returns the DublinCore module coverage.
`String` | `getCreator()` Gets the DublinCore module creator.
`List<String>` | `getCreators()` Returns the DublinCore module creator.
`Date` | `getDate()` Gets the DublinCore module date.
`List<Date>` | `getDates()` Returns the DublinCore module date.
`String` | `getDescription()` Gets the DublinCore module description.
`List<String>` | `getDescriptions()` Returns the DublinCore module description.
`String` | `getFormat()` Gets the DublinCore module format.
`List<String>` | `getFormats()` Returns the DublinCore module format.
`String` | `getIdentifier()` Gets the DublinCore module identifier.
`List<String>` | `getIdentifiers()` Returns the DublinCore module identifier.
`String` | `getLanguage()` Gets the DublinCore module language.
`List<String>` | `getLanguages()` Returns the DublinCore module language.
`String` | `getPublisher()` Gets the DublinCore module publisher.
`List<String>` | `getPublishers()` Returns the DublinCore module publisher.
`String` | `getRelation()` Gets the DublinCore module relation.
`List<String>` | `getRelations()` Returns the DublinCore module relation.
`String` | `getRights()` Gets the DublinCore module right.
`List<String>` | `getRightsList()` Returns the DublinCore module rights.
`String` | `getSource()` Gets the DublinCore module subject.
`List<String>` | `getSources()` Returns the DublinCore module source.
`DCSubject` | `getSubject()` Gets the DublinCore module subject.
`List<DCSubject>` | `getSubjects()` Returns the DublinCore module subjects.
`String` | `getTitle()` Gets the DublinCore module title.
`List<String>` | `getTitles()` Returns the DublinCore module titles.
`String` | `getType()` Gets the DublinCore module type.
`List<String>` | `getTypes()` Returns the DublinCore module type.
`void` | `setContributor(String contributor)` Sets the DublinCore module contributor.
`void` | `setContributors(List<String> contributors)` Sets the DublinCore module contributors.
`void` | `setCoverage(String coverage)` Sets the DublinCore module coverage.
`void` | `setCoverages(List<String> coverages)` Sets the DublinCore module coverages.
`void` | `setCreator(String creator)` Sets the DublinCore module creator.
`void` | `setCreators(List<String> creators)` Sets the DublinCore module creators.
`void` | `setDate(Date date)` Sets the DublinCore module date.
`void` | `setDates(List<Date> dates)` Sets the DublinCore module dates.
`void` | `setDescription(String description)` Sets the DublinCore module description.
`void` | `setDescriptions(List<String> descriptions)` Sets the DublinCore module descriptions.
`void` | `setFormat(String format)` Sets the DublinCore module format.
`void` | `setFormats(List<String> formats)` Sets the DublinCore module formats.
`void` | `setIdentifier(String identifier)` Sets the DublinCore module identifier.
`void` | `setIdentifiers(List<String> identifiers)` Sets the DublinCore module identifiers.
`void` | `setLanguage(String language)` Sets the DublinCore module language.
`void` | `setLanguages(List<String> languages)` Sets the DublinCore module languages.
`void` | `setPublisher(String publisher)` Sets the DublinCore module publisher.
`void` | `setPublishers(List<String> publishers)` Sets the DublinCore module publishers.
`void` | `setRelation(String relation)` Sets the DublinCore module relation.
`void` | `setRelations(List<String> relations)` Sets the DublinCore module relations.
`void` | `setRights(String rights)` Sets the DublinCore module rights.
`void` | `setRightsList(List<String> rights)` Sets the DublinCore module rightss.
`void` | `setSource(String source)` Sets the DublinCore module source.
`void` | `setSources(List<String> sources)` Sets the DublinCore module sources.
`void` | `setSubject(DCSubject subject)` Sets the DCSubject element.
`void` | `setSubjects(List<DCSubject> subjects)` Sets the DublinCore module subjects.
`void` | `setTitle(String title)` Sets the DublinCore module title.
`void` | `setTitles(List<String> titles)` Sets the DublinCore module titles.
`void` | `setType(String type)` Sets the DublinCore module type.
`void` | `setTypes(List<String> types)` Sets the DublinCore module types.

Methods inherited from interface com.sun.syndication.feed.module.Module
`clone, getUri`

Methods inherited from interface com.sun.syndication.feed.CopyFrom
`copyFrom, getInterface`

Field Detail

### URI

    static final String URI

  URI of the Dublin Core Module (http://purl.org/dc/elements/1.1/).

  See Also:
    Constant Field Values

Method Detail

### getTitles

    List<String> getTitles()

  Returns the DublinCore module titles.

  Returns:
    a list of Strings representing the DublinCore module title, an empty list if none.

### setTitles

    void setTitles(List<String> titles)

  Sets the DublinCore module titles.

  Parameters:
    `titles` - the list of String representing the DublinCore module titles to set, an empty list or null if none.

### getTitle

    String getTitle()

  Gets the DublinCore module title. Convenience method that can be used to obtain the first item, null if none.

  Returns:
    the first DublinCore module title, null if none.

### setTitle

    void setTitle(String title)

  Sets the DublinCore module title. Convenience method that can be used when there is only one title to set.

  Parameters:
    `title` - the DublinCore module title to set, null if none.

### getCreators

    List<String> getCreators()

  Returns the DublinCore module creator.

  Returns:
    a list of Strings representing the DublinCore module creator, an empty list if none.

### setCreators

    void setCreators(List<String> creators)

  Sets the DublinCore module creators.

  Parameters:
    `creators` - the list of String representing the DublinCore module creators to set, an empty list or null if none.

### getCreator

    String getCreator()

  Gets the DublinCore module creator. Convenience method that can be used to obtain the first item, null if none.

  Returns:
    the first DublinCore module creator, null if none.

### setCreator

    void setCreator(String creator)

  Sets the DublinCore module creator. Convenience method that can be used when there is only one creator to set.

  Parameters:
    `creator` - the DublinCore module creator to set, null if none.

### getSubjects

    List<DCSubject> getSubjects()

  Returns the DublinCore module subjects.

  Returns:
    a list of DCSubject elements with the DublinCore module subjects, an empty list if none.

### setSubjects

    void setSubjects(List<DCSubject> subjects)

  Sets the DublinCore module subjects.

  Parameters:
    `subjects` - the list of DCSubject elements with the DublinCore module subjects to set, an empty list or null if none.

### getSubject

    DCSubject getSubject()

  Gets the DublinCore module subject. Convenience method that can be used to obtain the first item, null if none.

  Returns:
    the first DublinCore module subject, null if none.

### setSubject

    void setSubject(DCSubject subject)

  Sets the DCSubject element. Convenience method that can be used when there is only one subject to set.

  Parameters:
    `subject` - the DublinCore module subject to set, null if none.

### getDescriptions

    List<String> getDescriptions()

  Returns the DublinCore module description.

  Returns:
    a list of Strings representing the DublinCore module description, an empty list if none.

### setDescriptions

    void setDescriptions(List<String> descriptions)

  Sets the DublinCore module descriptions.

  Parameters:
    `descriptions` - the list of String representing the DublinCore module descriptions to set, an empty list or null if none.

### getDescription

    String getDescription()

  Gets the DublinCore module description. Convenience method that can be used to obtain the first item, null if none.

  Returns:
    the first DublinCore module description, null if none.

### setDescription

    void setDescription(String description)

  Sets the DublinCore module description. Convenience method that can be used when there is only one description to set.

  Parameters:
    `description` - the DublinCore module description to set, null if none.

### getPublishers

    List<String> getPublishers()

  Returns the DublinCore module publisher.

  Returns:
    a list of Strings representing the DublinCore module publisher, an empty list if none.

### setPublishers

    void setPublishers(List<String> publishers)

  Sets the DublinCore module publishers.

  Parameters:
    `publishers` - the list of String representing the DublinCore module publishers to set, an empty list or null if none.

### getPublisher

    String getPublisher()

  Gets the DublinCore module publisher. Convenience method that can be used to obtain the first item, null if none.

  Returns:
    the first DublinCore module publisher, null if none.

### setPublisher

    void setPublisher(String publisher)

  Sets the DublinCore module publisher. Convenience method that can be used when there is only one publisher to set.

  Parameters:
    `publisher` - the DublinCore module publisher to set, null if none.

### getContributors

    List<String> getContributors()

  Returns the DublinCore module contributor.

  Returns:
    a list of Strings representing the DublinCore module contributor, an empty list if none.

### setContributors

    void setContributors(List<String> contributors)

  Sets the DublinCore module contributors.

  Parameters:
    `contributors` - the list of String representing the DublinCore module contributors to set, an empty list or null if none.

### getContributor

    String getContributor()

  Gets the DublinCore module contributor. Convenience method that can be used to obtain the first item, null if none.

  Returns:
    the first DublinCore module contributor, null if none.

### setContributor

    void setContributor(String contributor)

  Sets the DublinCore module contributor. Convenience method that can be used when there is only one contributor to set.

  Parameters:
    `contributor` - the DublinCore module contributor to set, null if none.

### getDates

    List<Date> getDates()

  Returns the DublinCore module date.

  Returns:
    a list of Strings representing the DublinCore module date, an empty list if none.

### setDates

    void setDates(List<Date> dates)

  Sets the DublinCore module dates.

  Parameters:
    `dates` - the list of Date representing the DublinCore module dates to set, an empty list or null if none.

### getDate

    Date getDate()

  Gets the DublinCore module date. Convenience method that can be used to obtain the first item, null if none.

  Returns:
    the first DublinCore module date, null if none.

### setDate

    void setDate(Date date)

  Sets the DublinCore module date. Convenience method that can be used when there is only one date to set.

  Parameters:
    `date` - the DublinCore module date to set, null if none.

### getTypes

    List<String> getTypes()

  Returns the DublinCore module type.

  Returns:
    a list of Strings representing the DublinCore module type, an empty list if none.

### setTypes

    void setTypes(List<String> types)

  Sets the DublinCore module types.

  Parameters:
    `types` - the list of String representing the DublinCore module types to set, an empty list or null if none.

### getType

    String getType()

  Gets the DublinCore module type. Convenience method that can be used to obtain the first item, null if none.

  Returns:
    the first DublinCore module type, null if none.

### setType

    void setType(String type)

  Sets the DublinCore module type. Convenience method that can be used when there is only one type to set.

  Parameters:
    `type` - the DublinCore module type to set, null if none.

### getFormats

    List<String> getFormats()

  Returns the DublinCore module format.

  Returns:
    a list of Strings representing the DublinCore module format, an empty list if none.

### setFormats

    void setFormats(List<String> formats)

  Sets the DublinCore module formats.

  Parameters:
    `formats` - the list of String representing the DublinCore module formats to set, an empty list or null if none.

### getFormat

    String getFormat()

  Gets the DublinCore module format. Convenience method that can be used to obtain the first item, null if none.

  Returns:
    the first DublinCore module format, null if none.

### setFormat

    void setFormat(String format)

  Sets the DublinCore module format. Convenience method that can be used when there is only one format to set.

  Parameters:
    `format` - the DublinCore module format to set, null if none.

### getIdentifiers

    List<String> getIdentifiers()

  Returns the DublinCore module identifier.

  Returns:
    a list of Strings representing the DublinCore module identifier, an empty list if none.

### setIdentifiers

    void setIdentifiers(List<String> identifiers)

  Sets the DublinCore module identifiers.

  Parameters:
    `identifiers` - the list of String representing the DublinCore module identifiers to set, an empty list or null if none.

### getIdentifier

    String getIdentifier()

  Gets the DublinCore module identifier. Convenience method that can be used to obtain the first item, null if none.

  Returns:
    the first DublinCore module identifier, null if none.

### setIdentifier

    void setIdentifier(String identifier)

  Sets the DublinCore module identifier. Convenience method that can be used when there is only one identifier to set.

  Parameters:
    `identifier` - the DublinCore module identifier to set, null if none.

### getSources

    List<String> getSources()

  Returns the DublinCore module source.

  Returns:
    a list of Strings representing the DublinCore module source, an empty list if none.

### setSources

    void setSources(List<String> sources)

  Sets the DublinCore module sources.

  Parameters:
    `sources` - the list of String representing the DublinCore module sources to set, an empty list or null if none.

### getSource

    String getSource()

  Gets the DublinCore module subject. Convenience method that can be used to obtain the first item, null if none.

  Returns:
    the first DublinCore module creator, null if none.

### setSource

    void setSource(String source)

  Sets the DublinCore module source. Convenience method that can be used when there is only one source to set.

  Parameters:
    `source` - the DublinCore module source to set, null if none.

### getLanguages

    List<String> getLanguages()

  Returns the DublinCore module language.

  Returns:
    a list of Strings representing the DublinCore module language, an empty list if none.

### setLanguages

    void setLanguages(List<String> languages)

  Sets the DublinCore module languages.

  Parameters:
    `languages` - the list of String representing the DublinCore module languages to set, an empty list or null if none.

### getLanguage

    String getLanguage()

  Gets the DublinCore module language. Convenience method that can be used to obtain the first item, null if none.

  Returns:
    the first DublinCore module language, null if none.

### setLanguage

    void setLanguage(String language)

  Sets the DublinCore module language. Convenience method that can be used when there is only one language to set.

  Parameters:
    `language` - the DublinCore module language to set, null if none.

### getRelations

    List<String> getRelations()

  Returns the DublinCore module relation.

  Returns:
    a list of Strings representing the DublinCore module relation, an empty list if none.

### setRelations

    void setRelations(List<String> relations)

  Sets the DublinCore module relations.

  Parameters:
    `relations` - the list of String representing the DublinCore module relations to set, an empty list or null if none.

### getRelation

    String getRelation()

  Gets the DublinCore module relation. Convenience method that can be used to obtain the first item, null if none.

  Returns:
    the first DublinCore module relation, null if none.

### setRelation

    void setRelation(String relation)

  Sets the DublinCore module relation. Convenience method that can be used when there is only one relation to set.

  Parameters:
    `relation` - the DublinCore module relation to set, null if none.

### getCoverages

    List<String> getCoverages()

  Returns the DublinCore module coverage.

  Returns:
    a list of Strings representing the DublinCore module coverage, an empty list if none.

### setCoverages

    void setCoverages(List<String> coverages)

  Sets the DublinCore module coverages.

  Parameters:
    `coverages` - the list of String representing the DublinCore module coverages to set, an empty list or null if none.

### getCoverage

    String getCoverage()

  Gets the DublinCore module coverage. Convenience method that can be used to obtain the first item, null if none.

  Returns:
    the first DublinCore module coverage, null if none.

### setCoverage

    void setCoverage(String coverage)

  Sets the DublinCore module coverage. Convenience method that can be used when there is only one coverage to set.

  Parameters:
    `coverage` - the DublinCore module coverage to set, null if none.

### getRightsList

    List<String> getRightsList()

  Returns the DublinCore module rights.

  Returns:
    a list of Strings representing the DublinCore module rights, an empty list if none.

### setRightsList

    void setRightsList(List<String> rights)

  Sets the DublinCore module rightss.

  Parameters:
    `rights` - the list of String representing the DublinCore module rights to set, an empty list or null if none.

### getRights

    String getRights()

  Gets the DublinCore module right. Convenience method that can be used to obtain the first item, null if none.

  Returns:
    the first DublinCore module right, null if none.

### setRights

    void setRights(String rights)

  Sets the DublinCore module rights. Convenience method that can be used when there is only one rights to set.

  Parameters:
    `rights` - the DublinCore module rights to set, null if none.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2013 ROME Project. All Rights Reserved.